Bug 205643 - highlight/highlight-world-leak.html frequently times out
Summary: highlight/highlight-world-leak.html frequently times out
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: WebKit Commit Bot
URL:
Keywords: InRadar
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2019-12-30 06:16 PST by WebKit Commit Bot
Modified: 2020-01-03 10:36 PST (History)
9 users (show)

See Also:


Attachments
Archive of layout-test-results from webkit-cq-01 (3.54 MB, application/zip)
2019-12-30 06:16 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.51 MB, application/zip)
2019-12-30 06:44 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (3.68 MB, application/zip)
2019-12-30 12:51 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.51 MB, application/zip)
2019-12-31 07:55 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (3.54 MB, application/zip)
2020-01-01 13:04 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.64 MB, application/zip)
2020-01-02 13:24 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.50 MB, application/zip)
2020-01-03 01:32 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.54 MB, application/zip)
2020-01-03 02:06 PST, WebKit Commit Bot
no flags Details
Patch (1.65 KB, patch)
2020-01-03 08:15 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-03 (3.53 MB, application/zip)
2020-01-03 09:49 PST, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2019-12-30 06:16:35 PST
This is an automatically generated bug from the commit-queue.
highlight/highlight-world-leak.html has been flaky on the commit-queue.

highlight/highlight-world-leak.html was authored by megan_gardner@apple.com.
https://trac.webkit.org/browser/trunk/LayoutTests/highlight/highlight-world-leak.html

The commit-queue just saw highlight/highlight-world-leak.html flake (test timed out) while processing attachment 386520 [details] on bug 205556.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.13.6

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2019-12-30 06:16:36 PST Comment hidden (obsolete)
Comment 2 WebKit Commit Bot 2019-12-30 06:44:58 PST Comment hidden (obsolete)
Comment 3 WebKit Commit Bot 2019-12-30 06:44:59 PST Comment hidden (obsolete)
Comment 4 WebKit Commit Bot 2019-12-30 12:51:52 PST Comment hidden (obsolete)
Comment 5 WebKit Commit Bot 2019-12-30 12:51:53 PST Comment hidden (obsolete)
Comment 6 WebKit Commit Bot 2019-12-31 07:55:01 PST Comment hidden (obsolete)
Comment 7 WebKit Commit Bot 2019-12-31 07:55:02 PST Comment hidden (obsolete)
Comment 8 Alexey Proskuryakov 2020-01-01 12:52:11 PST
This is a new test added in http://trac.webkit.org/r253857, and it times out ~50% of the time on Mac WK1 and on iOS WK2 in post commit testing.

https://results.webkit.org/?suite=layout-tests&test=highlight%2Fhighlight-world-leak.html
Comment 9 Radar WebKit Bug Importer 2020-01-01 12:52:25 PST
<rdar://problem/58263350>
Comment 10 WebKit Commit Bot 2020-01-01 13:04:47 PST Comment hidden (obsolete)
Comment 11 WebKit Commit Bot 2020-01-01 13:04:49 PST Comment hidden (obsolete)
Comment 12 WebKit Commit Bot 2020-01-02 13:24:05 PST Comment hidden (obsolete)
Comment 13 WebKit Commit Bot 2020-01-02 13:24:06 PST Comment hidden (obsolete)
Comment 14 WebKit Commit Bot 2020-01-03 01:32:29 PST Comment hidden (obsolete)
Comment 15 WebKit Commit Bot 2020-01-03 01:32:30 PST Comment hidden (obsolete)
Comment 16 WebKit Commit Bot 2020-01-03 02:06:03 PST Comment hidden (obsolete)
Comment 17 WebKit Commit Bot 2020-01-03 02:06:04 PST Comment hidden (obsolete)
Comment 18 Wenson Hsieh 2020-01-03 08:15:02 PST
Created attachment 386686 [details]
Patch
Comment 19 WebKit Commit Bot 2020-01-03 09:49:51 PST Comment hidden (obsolete)
Comment 20 WebKit Commit Bot 2020-01-03 09:49:53 PST Comment hidden (obsolete)
Comment 21 WebKit Commit Bot 2020-01-03 10:36:06 PST
Comment on attachment 386686 [details]
Patch

Clearing flags on attachment: 386686

Committed r254008: <https://trac.webkit.org/changeset/254008>
Comment 22 WebKit Commit Bot 2020-01-03 10:36:08 PST
All reviewed patches have been landed.  Closing bug.